Bug Hunting Session
Bug 59348 - UI: Vertical and horizontal scroll bar of a data grid control doesn't resize when zooming
Summary: UI: Vertical and horizontal scroll bar of a data grid control doesn't resize ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrollbars
  Show dependency treegraph
 
Reported: 2013-01-14 09:46 UTC by Biofjöd
Modified: 2019-02-14 03:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Have a look at the scrollbar of the tablecontrol - zoomed to 55% to see the bug (8.83 KB, image/png)
2014-12-01 15:25 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Biofjöd 2013-01-14 09:46:50 UTC
Problem:

When in document viewing, the built-in scroll bar of a data grid control in a form doesn't resize correctly when zooming the document's view.


Current behaviour:

When zooming a document's view, the built-in scroll bar belonging to a data grid control and automatically shown on demand in a form is not zoomed, and its parts (like arrow icons) keep their absolute size (e.g. 16x16 pixels). With a small zoom factor, they are clipped at the bar's right side.


Expected behaviour:

The scroll bar is are zoomed in conjuction with the data grid control.


Note:

I checked this behaviour with AOO 3.4.0 as well as LO 3.5.4.2 and 3.6.4.3, thus setting the version to 3.3.0 Beta2.
Comment 1 Robert Großkopf 2013-01-23 21:03:11 UTC
Its the same problem with the horizontal scroll bar.
I will change the title and set this bug to New.
Comment 2 Julien Nabet 2014-11-30 21:58:43 UTC
Same as fdo#59257 (put in See Also), I don't reproduce this on 4.3.3 LO Debian package (x86-64)
Comment 3 Robert Großkopf 2014-12-01 15:25:44 UTC
Created attachment 110306 [details]
Have a look at the scrollbar of the tablecontrol - zoomed to 55% to see the bug

Its the same with the scrollbar as bug59257 . See attachment https://bugs.freedesktop.org/attachment.cgi?id=110304 and zoom out. The arrow-buttons will be clipped, when the zoom is smaller tahn 100%. The scrollbar won't get bigger when the zoom is over 100%.
Comment 4 Robert Großkopf 2014-12-01 15:26:59 UTC
Have forgotten:
Tested with OpenSUSE 12.3 64bit rpm Linux, LO-Version: 4.3.5.1
Build-ID: 8fd0451cc08e6a5310bed8b7ad1c46b93c1c6889

Will reset this bug to new.
Comment 5 Alex Thurgood 2015-01-03 17:40:28 UTC Comment hidden (no-value)
Comment 6 QA Administrators 2016-01-17 20:03:08 UTC Comment hidden (obsolete)
Comment 7 Robert Großkopf 2016-01-27 14:56:43 UTC
Have installed all LO-versions on OpenSUSE 42.1 Leap, 64bit rpm Linux. 
Bug still exists with LO 5.0.5.1. 
Scrollbars look a little bit different in LO 5.1.0.2. With LO 5.1.0.2 the scrollbars aren't zoomed, but the arrows are centered, not clipped at the bar's right side.
Comment 8 QA Administrators 2018-02-13 03:32:43 UTC Comment hidden (obsolete)
Comment 9 Robert Großkopf 2018-02-13 08:03:11 UTC
Nothing changed in
Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
Locale: de-DE (de_DE.UTF-8); Calc: group

Depending to the Icon-Style it will look a little bit different, but the scrollbar won't be zoomed.
Comment 10 QA Administrators 2019-02-14 03:49:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug